projects
Update User Projects
POST
/
api
/
users
/
{user_id}
/
project-memberships
/
batch
Update User Projects
curl --request POST \
--url https://api.aixy-gateway.com/api/users/{user_id}/project-memberships/batch \
--header 'Content-Type: application/json' \
--cookie gateway_session= \
--data '
{
"project_ids": [
"<string>"
]
}
'import requests
url = "https://api.aixy-gateway.com/api/users/{user_id}/project-memberships/batch"
payload = { "project_ids": ["<string>"] }
headers = {
"cookie": "gateway_session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'gateway_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({project_ids: ['<string>']})
};
fetch('https://api.aixy-gateway.com/api/users/{user_id}/project-memberships/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Secure same-origin browser session cookie.
Path Parameters
Body
application/json
Response
Successful Response
⌘I
Update User Projects
curl --request POST \
--url https://api.aixy-gateway.com/api/users/{user_id}/project-memberships/batch \
--header 'Content-Type: application/json' \
--cookie gateway_session= \
--data '
{
"project_ids": [
"<string>"
]
}
'import requests
url = "https://api.aixy-gateway.com/api/users/{user_id}/project-memberships/batch"
payload = { "project_ids": ["<string>"] }
headers = {
"cookie": "gateway_session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'gateway_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({project_ids: ['<string>']})
};
fetch('https://api.aixy-gateway.com/api/users/{user_id}/project-memberships/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}